OpenShot Audio Library | OpenShotAudio 0.4.0

Loading...
Searching...
No Matches
Public Member Functions | Static Public Member Functions | List of all members
juce::NewLine Class Reference

`#include <juce_NewLine.h>`

## Public Member Functions
| operator String () const
| operator StringRef () const noexcept

## Static Public Member Functions
static const char * | getDefault () noexcept

## Detailed Description

This class is used for represent a new-line character sequence.

To write a new-line to a stream, you can use the predefined 'newLine' variable, e.g.

myOutputStream << "Hello World" << newLine << newLine;

The exact character sequence that will be used for the new-line can be set and retrieved with OutputStream::setNewLineString() and OutputStream::getNewLineString().

Definition at line 39 of file juce_NewLine.h.

## Member Function Documentation

## ◆ getDefault()

static const char * juce::NewLine::getDefault | ( |  | ) |
| inline static noexcept

Returns the default new-line sequence that the library uses.

See also
  OutputStream::setNewLineString()

Definition at line 45 of file juce_NewLine.h.

## ◆ operator String()

juce::NewLine::operator String | ( |  | ) | const
| inline

Returns the default new-line sequence that the library uses.

See also
  getDefault()

Definition at line 50 of file juce_NewLine.h.

## ◆ operator StringRef()

juce::NewLine::operator StringRef | ( |  | ) | const
| inline noexcept

Returns the default new-line sequence that the library uses.

See also
  OutputStream::setNewLineString()

Definition at line 55 of file juce_NewLine.h.

The documentation for this class was generated from the following file:

- juce_NewLine.h